io.agora.rtc

## Class RtmpStreamingVideoConf

- java.lang.Object
- - io.agora.rtc.RtmpStreamingVideoConf

-     public class RtmpStreamingVideoConf
      extends java.lang.Object

  Video configuration for RTMP streaming.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate` Bitrate (Kbps)
    `private int` | `framerate` Frame rate (fps)
    `private int` | `gopInMs` GOP in milliseconds
    `private int` | `height` Height (px)
    `private int` | `maxBitrate` Maximum bitrate (Kbps)
    `private int` | `minBitrate` Minimum bitrate (Kbps)
    `private int` | `orientationMode` Orientation mode
    `private int` | `width` Width (px)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtmpStreamingVideoConf()` Default constructor for RtmpStreamingVideoConf.
    `RtmpStreamingVideoConf(int width, int height, int framerate, int bitrate, int maxBitrate, int minBitrate, int gopInMs, int orientationMode)` Constructs RtmpStreamingVideoConf with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()` Gets the bitrate (Kbps).
    `int` | `getFramerate()` Gets the frame rate (fps).
    `int` | `getGopInMs()` Gets the GOP in milliseconds.
    `int` | `getHeight()` Gets the height (px).
    `int` | `getMaxBitrate()` Gets the maximum bitrate (Kbps).
    `int` | `getMinBitrate()` Gets the minimum bitrate (Kbps).
    `int` | `getOrientationMode()` Gets the orientation mode.
    `int` | `getWidth()` Gets the width (px).
    `void` | `setBitrate(int bitrate)` Sets the bitrate (Kbps).
    `void` | `setFramerate(int framerate)` Sets the frame rate (fps).
    `void` | `setGopInMs(int gopInMs)` Sets the GOP in milliseconds.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setMaxBitrate(int maxBitrate)` Sets the maximum bitrate (Kbps).
    `void` | `setMinBitrate(int minBitrate)` Sets the minimum bitrate (Kbps).
    `void` | `setOrientationMode(int orientationMode)` Sets the orientation mode.
    `void` | `setWidth(int width)` Sets the width (px).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

    - #### framerate

          private int framerate

      Frame rate (fps)

    - #### bitrate

          private int bitrate

      Bitrate (Kbps)

    - #### maxBitrate

          private int maxBitrate

      Maximum bitrate (Kbps)

    - #### minBitrate

          private int minBitrate

      Minimum bitrate (Kbps)

    - #### gopInMs

          private int gopInMs

      GOP in milliseconds

    - #### orientationMode

          private int orientationMode

      Orientation mode

  - ### Constructor Detail

    - #### RtmpStreamingVideoConf

          public RtmpStreamingVideoConf()

      Default constructor for RtmpStreamingVideoConf.

    - #### RtmpStreamingVideoConf

          public RtmpStreamingVideoConf(int width,
                                        int height,
                                        int framerate,
                                        int bitrate,
                                        int maxBitrate,
                                        int minBitrate,
                                        int gopInMs,
                                        int orientationMode)

      Constructs RtmpStreamingVideoConf with all parameters.
      Parameters:
        `width` - Width (px)
        `height` - Height (px)
        `framerate` - Frame rate (fps)
        `bitrate` - Bitrate (Kbps)
        `maxBitrate` - Maximum bitrate (Kbps)
        `minBitrate` - Minimum bitrate (Kbps)
        `gopInMs` - GOP in milliseconds
        `orientationMode` - Orientation mode

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)

    - #### getFramerate

          public int getFramerate()

      Gets the frame rate (fps).
      Returns:
        Frame rate (fps)

    - #### setFramerate

          public void setFramerate(int framerate)

      Sets the frame rate (fps).
      Parameters:
        `framerate` - Frame rate (fps)

    - #### getBitrate

          public int getBitrate()

      Gets the bitrate (Kbps).
      Returns:
        Bitrate (Kbps)

    - #### setBitrate

          public void setBitrate(int bitrate)

      Sets the bitrate (Kbps).
      Parameters:
        `bitrate` - Bitrate (Kbps)

    - #### getMaxBitrate

          public int getMaxBitrate()

      Gets the maximum bitrate (Kbps).
      Returns:
        Maximum bitrate (Kbps)

    - #### setMaxBitrate

          public void setMaxBitrate(int maxBitrate)

      Sets the maximum bitrate (Kbps).
      Parameters:
        `maxBitrate` - Maximum bitrate (Kbps)

    - #### getMinBitrate

          public int getMinBitrate()

      Gets the minimum bitrate (Kbps).
      Returns:
        Minimum bitrate (Kbps)

    - #### setMinBitrate

          public void setMinBitrate(int minBitrate)

      Sets the minimum bitrate (Kbps).
      Parameters:
        `minBitrate` - Minimum bitrate (Kbps)

    - #### getGopInMs

          public int getGopInMs()

      Gets the GOP in milliseconds.
      Returns:
        GOP in milliseconds

    - #### setGopInMs

          public void setGopInMs(int gopInMs)

      Sets the GOP in milliseconds.
      Parameters:
        `gopInMs` - GOP in milliseconds

    - #### getOrientationMode

          public int getOrientationMode()

      Gets the orientation mode.
      Returns:
        Orientation mode

    - #### setOrientationMode

          public void setOrientationMode(int orientationMode)

      Sets the orientation mode.
      Parameters:
        `orientationMode` - Orientation mode